> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Cancel a running aggregate query job

DELETE https://rest.test.zuora.com/v1/batch-query/jobs/{jobid}

Cancels the current AQuA job, only if the job is not complete. If the job is complete, an error is thrown.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/aqua/aggregate-queries/delete-batch-query-job

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `jobid` (string, required) — Internal identifier of the query job.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `batches` (list of BatchQueries, optional) — A JSON array object that contains a list of batch objects.
- `format` (enum, optional) — The format of the query. The default value is `csv`.
  - Allowed values: `csv`, `zip`, `gzip`
- `id` (string, optional) — The job ID created for the AQuA API request. The job ID can be used for querying for the query status. The ID exists only if the JSON request can be parsed and validated successfully. Otherwise, the job ID is null.
- `name` (string, optional) — The name of the job. 32 character limit.
- `sourceData` (string, optional) — Indicates the source this aggregate query runs against: * `LIVE` represents the live transactional databases at Zuora (Data Query Live). * `WAREHOUSE` represents Zuora Warehouse, which has better performance and fewer limitations than the live transactional database. For more information, see Zuora Warehouse.
- `status` (enum, optional) — The status of the AQuA job: - submitted: The AQuA job was submitted to the query executor for processing. - executing: The AQuA job is being processed. - completed: The AQuA job was successfully executed. - error: The AQuA job was not processed because of validation errors. - aborted: The AQuA job execution failed because one or more queries of this job failed. - cancelled: The AQuA job was cancelled.
  - Allowed values: `submitted`, `executing`, `completed`, `error`, `aborted`, `cancelled`
- `version` (float, optional) — The API version you want to use. The supported versions are as follows: * `1.1`. It supports both modes * `1.0`. Default. It supports stateless modes only. See Stateless and stateful modes for more information.

## Types

### BatchQueries

- `batchId` (string, optional) — A 32-character ID of the query batch.
- `batchType` (enum, optional) — The kind of batch job being submitted.
  - Allowed values: `zoql`, `zoqlexport`
- `fileId` (string, optional) — The ID of the query results file. Use Get Results Files to download the query results file. The query results file is formatted as requested in the batch job. Supported formats are CSV, GZIP, and ZIP.
- `message` (string, optional) — The error message.
- `name` (string, optional) — Name of the query supplied in the request.
- `query` (string, optional) — The requested query string.
- `recordCount` (string, optional) — The number of records included in the query output file.
- `segments` (list of any, optional) — Array of IDs of query results files. Replaces fileId for full data loads in stateful mode if File Segmentation is enabled. Use Get Results Files to download each query results file. Each query results file contains at most 500,000 records and is formatted as requested in the batch job. Supported formats are CSV, GZIP, and ZIP.
- `status` (enum, optional) — The status of the query task: - submitted: The query was submitted to the query executor for processing. - pending: The query was waiting for being processed. - executing: The query is being processed. - completed: The query was successfully executed. - aborted: The query execution failed. - deleted_notallowed: The query execution failed because objects included in the query do not support the querying of deleted records.
  - Allowed values: `submitted`, `pending`, `executing`, `completed`, `aborted`, `deleted_notallowed`

## Examples

**Response**

```json
{
  "batches": [
    {
      "batchId": "e20b07474688ad5001468daf10ea01df",
      "batchType": "zoqlexport",
      "fileId": "e20b07474688ad5001468daf155f01f5",
      "message": "",
      "name": "InvoiceItemAdjustment",
      "query": "select AccountingCode,CancelledDate,CreatedDate,Id,InvoiceId,InvoiceItemName, InvoiceNumber,SourceType,AdjustmentNumber,ServiceStartDate,ServiceEndDate,AdjustmentDate, Amount,Status,AccountId,SourceId,Type,ReasonCode, UpdatedDate  from  InvoiceItemAdjustment",
      "recordCount": "1580",
      "status": "completed"
    },
    {
      "batchId": "e20b07474688ad5001468daf10ec01e0",
      "batchType": "zoqlexport",
      "fileId": "e20b07474688ad5001468daf166601f6",
      "message": "",
      "name": "InvoiceAdjustment",
      "query": "select AccountingCode,CancelledOn,CreatedDate,Id,ImpactAmount,Invoice.Id, InvoiceNumber,AdjustmentNumber,AdjustmentDate,Amount,Status,Account.Id,Type,ReasonCode, UpdatedDate  from  InvoiceAdjustment",
      "recordCount": "411",
      "status": "completed"
    }
  ],
  "format": "csv",
  "id": "e20b07474688ad5001468daf10e501de",
  "name": "June10",
  "sourceData": "LIVE",
  "status": "cancelled",
  "version": 1.1,
  "encrypted": "none"
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/batch-query/jobs/jobid"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/batch-query/jobs/jobid';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/batch-query/jobs/jobid"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/batch-query/jobs/jobid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://rest.test.zuora.com/v1/batch-query/jobs/jobid")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://rest.test.zuora.com/v1/batch-query/jobs/jobid', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/batch-query/jobs/jobid");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/batch-query/jobs/jobid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```